nxt

## Class PrunableMessage

- java.lang.Object
- - nxt.PrunableMessage

-     public final class PrunableMessage
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decrypt(byte[] sharedKey)`
    `byte[]` | `decrypt(java.lang.String secretPhrase)`
    `boolean` | `encryptedMessageIsText()`
    `static DbIterator<PrunableMessage>` | `getAll(int from, int to)`
    `int` | `getBlockTimestamp()`
    `static int` | `getCount()`
    `EncryptedData` | `getEncryptedData()`
    `int` | `getHeight()`
    `long` | `getId()`
    `byte[]` | `getMessage()`
    `static PrunableMessage` | `getPrunableMessage(long transactionId)`
    `static DbIterator<PrunableMessage>` | `getPrunableMessages(long accountId, int from, int to)`
    `static DbIterator<PrunableMessage>` | `getPrunableMessages(long accountId, long otherAccountId, int from, int to)`
    `long` | `getRecipientId()`
    `long` | `getSenderId()`
    `int` | `getTransactionTimestamp()`
    `boolean` | `isCompressed()`
    `boolean` | `messageIsText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCount

          public static int getCount()

    - #### getAll

          public static DbIterator<PrunableMessage> getAll(int from,
                                                           int to)

    - #### getPrunableMessage

          public static PrunableMessage getPrunableMessage(long transactionId)

    - #### getPrunableMessages

          public static DbIterator<PrunableMessage> getPrunableMessages(long accountId,
                                                                        int from,
                                                                        int to)

    - #### getPrunableMessages

          public static DbIterator<PrunableMessage> getPrunableMessages(long accountId,
                                                                        long otherAccountId,
                                                                        int from,
                                                                        int to)

    - #### getMessage

          public byte[] getMessage()

    - #### getEncryptedData

          public EncryptedData getEncryptedData()

    - #### messageIsText

          public boolean messageIsText()

    - #### encryptedMessageIsText

          public boolean encryptedMessageIsText()

    - #### isCompressed

          public boolean isCompressed()

    - #### getId

          public long getId()

    - #### getSenderId

          public long getSenderId()

    - #### getRecipientId

          public long getRecipientId()

    - #### getTransactionTimestamp

          public int getTransactionTimestamp()

    - #### getBlockTimestamp

          public int getBlockTimestamp()

    - #### getHeight

          public int getHeight()

    - #### decrypt

          public byte[] decrypt(java.lang.String secretPhrase)

    - #### decrypt

          public byte[] decrypt(byte[] sharedKey)